## Svelte Feather Icons

[![npm version](https://img.shields.io/npm/v/svelte-feather.svg?style=flat-square)](https://www.npmjs.com/package/svelte-feather)


### Installation

    yarn add -D svelte-feather

or NPM

    npm install --save-dev svelte-feather

### Usage

```html
<script>
  import { ActivityIcon, GitHubIcon } from 'svelte-feather';
  import StarIcon from 'svelte-feather/Star'
</script>

<ActivityIcon size="1.5rem"/>
<GitHubIcon />

<!-- Or using as custom elements -->
<activity-icon />
<github-icon />
```

### Props

|Name  |Default       |Description                                               |
|------|--------------|----------------------------------------------------------|
|size  |`24`          | Set both `height` and `width` attributes of svg.         |
|height|              | Set `height` attribute of svg. Default value: `size` prop|
|width |              | Set `width` attribute of svg. Default value: `size` prop |
|class | `''`         | Set `class` attribute of svg                             |
|color |`currentColor`| Set `stroke` attribute of svg                            |

